Skip to main content

Get campaign predictions

POST 
/v1/campaignpredictions

Gets campaign predictions:

  • Estimates the expected job performance in terms of the number of total job applies for a budget.
  • Recommends a budget to sponsor a job based on the desired performance.

For a specific job and its properties, these predictions are based on the past performance of similar jobs at Indeed.

Supported currency codes for prediction are CAD, GBP, EUR, JPY, and USD. Default is USD. The API supports estimate performance for budgets lower than USD $100 per day.

It can predict performance of campaign with multiple jobs as well.

Predictions are based on the job properties, as well as the type and duration of the campaign. After the employer accepts the recommended budget, Make sure that campaigns are created with the same parameters.

The numbers provided are only estimates based on Indeed's past performance and do not guarantee future performance.

OAuth scopeAccess token type
employer_access

Access token that represents an employer.

Request

Query Parameters

    mode string

    Possible values: [multi-job]

    To have predictions for campaigns have multiple jobs need to pass the parameter value as multi-job.

Body

    jobInfo

    object

    jobsLocation stringrequired
    • City where the job is located.
    • Required if jobsQuery, and jobsSourceName are not provided, or for new jobs.
    jobsQuery stringrequired
    • Job query.
    • Required if jobsSourceName is provided.
    jobsSourceName stringrequired
    • Source name for the job.
    • Required if jobsQuery is provided.
    jobsTitle stringrequired
    • Job title.
    • Required if jobsQuery, and jobsSourceName are not provided, or for new jobs.

    campaignInfo

    object

    campaignType stringrequired

    Either ONETIME or MONTHLY.

    startDate string

    Campaign start date. Default is today. In YYYY-MM-DD format, in US Central time zone. Only applicable if campaignType is ONETIME.

    endDate stringrequired
    • Campaign end date. In YYYY-MM-DD format, in US Central time zone. Required if campaignType is ONETIME.
    • Required if campaignType is ONETIME.

    predictionsInfo

    object

    predictionType string

    Value is either BUDGET_BASED or APPLY_BASED.

    currencyCode string

    Currency code for the budget amount. Supported currency codes are CAD, GBP, EUR, JPY, and USD. Default is USD.

    budgets number[]required
    • Budget amount to estimate performance for, expressed in the currency specified by currencyCode. Pass a single number in the array.

      Required if predictionType is BUDGET_BASED.

      BUDGET_BASED predictions support exactly one job — if your jobsQuery resolves to multiple jobs, Indeed returns a 400 validation error.

    totalApplies integer[]required
    • Total applies across jobs to estimate the budget for. Pass a single number in the array.

      Required if predictionType is APPLY_BASED and appliesPerJob is not set.

    appliesPerJob integer[]required
    • Total applies per job to estimate the budget for. Pass a single number in the array.

      Required if predictionType is APPLY_BASED and totalApplies is not set.

Responses

Success

Schema

    meta

    object

    Response-related metadata.

    status int32

    HTTP status code of the response.

    errors

    object[]

    Any errors that prevented successful processing of the request. If there were no errors, the value is null.

  • Array [

  • type string

    Name of the error.

    description string

    Human-readable description of the problem.

  • ]

  • rootLocation string

    Base URL of the Sponsored Jobs API.

    perPage int32

    For endpoints that return paginated results, the effective maximum number of entries returned on one page. The value may be smaller than the maximum you requested with the perPage parameter. If the endpoint returns a single result or doesn't paginate, the value is null.

    links

    object[]

    Resources related to the requested resource.

  • Array [

  • rel string

    The relationship between the requested resource and the related resource. These values are commonly used:

    • up: The related resource is a collection that contains the requested resource, or an entity that the requested resource is attached to.
    • next: The next page of entries in a paginated result.
    • prev: The previous page of entries in a paginated result.

    However, the value may also be an arbitrary string describing the relationship, such as Campaign Info.

    href string

    Endpoint URL of the related resource. Can contain query string parameters. To get the complete URL, append the href to rootLocation.

  • ]

  • data

    object

    currencyCode string

    Currency code for the returned budget amounts.

    predictions

    object[]

    List of predictions. It has a single value. All the values in this object is aggregated result of all jobs in case of multi-job campaigns.

  • Array [

  • budget number

    For BUDGET_BASED requests, the budget on which the estimated number of applies is based. For APPLY_BASED requests, the recommended budget to achieve the desired number of total applies.

    organicApplies integer

    For BUDGET_BASED requests, the estimated number of organic applies for the job without sponsoring. Use totalApplies and organicApplies to calculate the estimated number of applies that result from sponsoring the job.

    totalApplies integer

    For BUDGET_BASED requests, the estimated number of total applies for an organic and sponsored job for a budget value. For APPLY_BASED requests, the number of total applies on which the recommended budget is based.

    estimatedLowerApplies integer

    For BUDGET_BASED requests, the estimated lower range of applies for an organic and sponsored job for a budget value. For APPLY_BASED requests, the response does not include this field.

    estimatedHigherApplies integer

    For BUDGET_BASED requests, the estimated higher range of applies for an organic and sponsored job for a budget value. For APPLY_BASED requests, the response does not include this field.

  • ]

  • jobLevelPredictions

    object[]

    Currency code for the returned budget amounts. All the values in this object is aggregated result of individual job predictions. This field can be null depending on input parameters.

  • Array [

  • job

    object

    jobKey string

    Job key.

    refNum string

    Job reference ID.

    title string

    Job title.

    location string

    Job location.

    predictions

    object[]

    List of predictions. It has a single value.

  • Array [

  • budget number

    For BUDGET_BASED requests, the budget on which the estimated number of applies is based. For APPLY_BASED requests, the recommended budget to achieve the desired number of total applies.

    organicApplies integer

    For BUDGET_BASED requests, the estimated number of organic applies for the job without sponsoring. Use totalApplies and organicApplies to calculate the estimated number of applies that result from sponsoring the job.

    totalApplies integer

    For BUDGET_BASED requests, the estimated number of total applies for an organic and sponsored job for a budget value. For APPLY_BASED requests, the number of total applies on which the recommended budget is based.

    estimatedLowerApplies integer

    For BUDGET_BASED requests, the estimated lower range of applies for an organic and sponsored job for a budget value. For APPLY_BASED requests, the response does not include this field.

    estimatedHigherApplies integer

    For BUDGET_BASED requests, the estimated higher range of applies for an organic and sponsored job for a budget value. For APPLY_BASED requests, the response does not include this field.

  • ]

  • ]

Loading...

Was this page helpful?